### Function

# GnomeAutoar format_get_description_libarchive

#### Declaration [src]

    gchar*
    autoar_format_get_description_libarchive (
      AutoarFormat format
    )

#### Description [src]

Gets description of the format from libarchive. This function creates and destroys an archive object in order to get the description string.

#### Parameters

`format`

  Type: `AutoarFormat`

  An `AutoarFormat`.

#### Return value

Type: `gchar*`

Description about the format. Free the returned string with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.